﻿
.Hidden {
 display:none;
}

.btn-primary.Activo{
background-color: #64ae51;
}
 
/* para los menus Tabs*/

.tab-content>.active {
    border: 1px solid #d9d0d0;
}

.modal-lg10
{
  width: 1000px;
  max-width: 1000px;
}
/*

// Tabbable tabs
//
// Hide tabbable panes to start, show them when `.active`

.tab-content {
  > .tab-pane {
    display: none;
  }
  > .active {
    display: block;
      border: 1px solid #d9d0d0;
  }
}
*/

.nav-tabs .nav-item {
    margin-bottom: -3px;
}

label { 
    margin-bottom: .2rem;
}
.form-control {
 
    height: calc(1.2em + .5rem + 2px);
    padding: .15rem .45rem;
    font-size: .9rem; /* 1.rem*/
}

.table td, .table th {
    padding: .2rem;
}

.form-group {
    margin-bottom: 0.8rem;
}

/* barra de progreso*/
.Barra-Progreso
        {
          width: 100%;
        /*   background-color: #f2f1ee; */
          height: 30px;
          padding: 3px;
          text-align: center;
          border: 1px solid #ced4da;

          -webkit-border-radius: 0.25rem;
-moz-border-radius:  0.25rem;
border-radius:  0.25rem;

 }
        .Barra-Progreso .Barra-Progreso-Width
        {
          background-color: #15992a;
          width: 0%;
          height: 90%;
        }
       /* label
*/        .Barra-Progreso .Barra-Progreso-Porcenta
        {
          color:#e6ebea;
          top: -23px;
        
        position: relative;
        }
/* fin barra de progres o*/

.Table-condenseda {
    font-size: 0.8rem;
}
.Table-Condensada {
    font-size: 0.8rem;
}

.Table-Condensada input {
    font-size: 0.8rem;
}

    .Table-Condensada select  {
        font-size: 0.8rem;
    }



.Table-Condensada9 {
    font-size: 0.9rem;
}

.Table-Condensada10 {
    font-size: 1rem;
}
    .Sortxxxx {
      
        background-image: url('../../Image/Sort.png') ;   
        background-repeat: no-repeat;
      /*   background: url('pato.png') no-repeat; */
        height: 20px;
        width: 20px;
        position: absolute;
       cursor: pointer;
    }


    .Sort {
       cursor: pointer;
    }

    .Sort div {
        position:relative;
    }

    .Sort1 {
      
        background-image: url('../../Image/Sort1.png') ;   
        background-repeat: no-repeat;
      /*   background: url('pato.png') no-repeat; */
        height: 20px;
        width: 20px;
        position: absolute;
       cursor: pointer;
    }

   .Sort2 {
      
        background-image: url('../../Image/Sort2.png') ;   
        background-repeat: no-repeat;
      /*   background: url('pato.png') no-repeat; */
        height: 20px;
        width: 20px;
        position: absolute;
       /*top:-20px;*/
       right:0px;
    }

 .Cabecera_Celeste {
    /*background-color: #afc7fe;*/
    }
    .Cabecera_Verde {
    /*background-color: #afc7fe;*/
    }

    /*fila activa en tablas*/
 .Fila_Activa {
    background-color: #f4f4ee;
    }

    tablexx th {
  color: #fff;
  background-color: #f00;
    }

    /*cabecera de tablas en Personal*/
    .Cabecera_Celeste th {
         color: #fff;
      background-color: #007bff;
      min-height:40px;
    }

.Cabecera_Celeste tr {
    height:40px;
}
    .Cabecera_Verde th {
         color: #fff;
           min-height:50px;
     background-color :#1a9b08;
    }

.Cabecera_Roja th {
    color: #fff;
    min-height: 50px;
    background-color: red;
}

.Cabecera_Naranja th {
    color: #fff;
    min-height: 50px;
    background-color: #e05c0f;
}

.Cabecera_Verde_Claro th {
    color: #fff;
    min-height: 50px;
    background-color: #38ca37;
}

/***/
.Cabecera_Celeste_Claro tr {
   /* height: 45px;*/
}

.Cabecera_Celeste_Claro th {
    color: #000;
    min-height: 50px;
    background-color: #bcf6f3;
}
/***/

    .Cell_H_20 {
        height: 20px;
    }

    .Cell_H_25 {
        height: 25px;
    }

.Cabecera_Roja_Modal {
    border-color: #df3737;
    color: #fff;
    background-color: #df3737;
}

/*kolores*/
.Kolor_Rojo {
    color: #ff0000;
}
.Kolor_Verde {
    color: #01DF01;
}

.Kolor_Azul {
    color: #0040FF;
}


.Kolor_Celeste {
    color: #01A9DB;
}

.Border_Rojo {
    border: 1px solid #e73f0d;
}


.Kolor_Rosado {
    color: #FE2EC8 ;
}


.Fila_Activa_Planilla {
    background-color: #e8e9e8;
}


/* activar fila activa con icono img*/
/* usado en tablas con un td con el icono Image*/
.Activo img.Checked {
    display: Block;
}

img.Checked {
    display: None;
}





.Marco {
    position: relative;
    /*margin: 0.3rem 0.3rem 0.5rem 0.3rem;
    padding: 1rem;*/
    border: 1px solid rgba(10,10,10,0.25);
    border-radius: 10px;
    background-color: white;
    color: #0a0a0a;
}

.Loader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url('/image/loader.gif') 50% 50% no-repeat rgb(249,249,249);
    opacity: .7;
}

/* colores de botones */
/* Btn-Azul, Btn-Verde, Btn-Rojo Btn-Amarillo, Btn-Plomo */  

.Btn-Azul {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

.Btn-Verde {
    color: #fff;
    background-color: #28a745;
    border-color: #28a745;
}

.Btn-Rojo {
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545;
}

.Btn-Amarillo {
    color: #212529;
    background-color: #ffc107;
    border-color: #ffc107;
}

.Btn-Plomo {
    color: #fff;
    background-color: #6c757d;
    border-color: #6c757d;
}


.Color_Rojo {
    color: #fd0d0d;
}

.TH_Color_Celeste {
}

    .TH_Color_Celeste tr th {
        background-color: #007bff;
        color: #fff;
    }

.TH_Color_Verde {
}

    .TH_Color_Verde tr th {
        background-color: #089518;
        color: #fff;
    }


.Tabla-Responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
}



/* grid personalizado */
.Paginacion li {
    border: 1px solid #d9d0d0;
    list-style: none;
    width: 50px;
    float: left;
    background-color: #f7f7f7;
    color: #0026ff;
    text-align: center;
}

    .Paginacion li a {
        color: #0e62bb;
        display: block;
    }

.Pagina_Activa a {
    /*rojo*/
    border: 1px solid #ff0000;
}

/* fin paginacion*/


/* kolor de caberceras para modales */
.Modal-Header-Success {  /* verde*/
    color: #fff;
    padding: 9px 15px;
    border-bottom: 1px solid #eee;
    background-color: #5cb85c;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topleft: 5px;
    -moz-border-radius-topright: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.Modal-Header-Warning {
    color: #fff;
    padding: 9px 15px;
    border-bottom: 1px solid #eee;
    background-color: #f0ad4e;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topleft: 5px;
    -moz-border-radius-topright: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.Modal-Header-Danger {
    color: #fff;
    padding: 9px 15px;
    border-bottom: 1px solid #eee;
    background-color: #d9534f;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topleft: 5px;
    -moz-border-radius-topright: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.Modal-Header-Info {
    color: #fff;
    padding: 9px 15px;
    border-bottom: 1px solid #eee;
    background-color: #5bc0de;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topleft: 5px;
    -moz-border-radius-topright: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}
/* azul */
.Modal-Header-Primary {
    color: #fff;
    padding: 9px 15px;
    border-bottom: 1px solid #eee;
    background-color: #428bca;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topleft: 5px;
    -moz-border-radius-topright: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.Btn-Primaryxxxxx {
 
}

.Btn-Success { /* verde*/
    color: #fff;
    padding: 9px 15px;
    border-bottom: 1px solid #eee;
    background-color: #5cb85c;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topleft: 5px;
    -moz-border-radius-topright: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.Btn-Warning {
    color: #fff;
    padding: 9px 15px;
    border-bottom: 1px solid #eee;
    background-color: #f0ad4e;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topleft: 5px;
    -moz-border-radius-topright: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.Btn-Danger {
    color: #fff;
    padding: 9px 15px;
    border-bottom: 1px solid #eee;
    background-color: #d9534f;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topleft: 5px;
    -moz-border-radius-topright: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.Btn-Info {
    color: #fff;
    padding: 9px 15px;
    border-bottom: 1px solid #eee;
    background-color: #5bc0de;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topleft: 5px;
    -moz-border-radius-topright: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}
/* azul */
.Btn-Primary {
    color: #fff;
    padding: 9px 15px;
    border-bottom: 1px solid #eee;
    background-color: #428bca;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topleft: 5px;
    -moz-border-radius-topright: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}



.Centrar_Image {
    display: flex;
    justify-content: center;
}




.Boton_Centrado  {
    text-align: center !important;
    align-content: center;
}